CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
ITestRunnerDSPluginVtbl Struct Reference

`#include <TestRunnerDSPluginVC6.h>`

List of all members.

## Public Member Functions
BEGIN_INTERFACE | HRESULT (STDMETHODCALLTYPE __RPC_FAR *QueryInterface)(ITestRunnerDSPlugin __RPC_FAR *This
| ULONG (STDMETHODCALLTYPE __RPC_FAR *AddRef)(ITestRunnerDSPlugin __RPC_FAR *This)
| ULONG (STDMETHODCALLTYPE __RPC_FAR *Release)(ITestRunnerDSPlugin __RPC_FAR *This)
| HRESULT (STDMETHODCALLTYPE __RPC_FAR *goToLineInSourceCode)(ITestRunnerDSPlugin __RPC_FAR *This
## Public Attributes
BEGIN_INTERFACE REFIID | riid
BEGIN_INTERFACE REFIID void __RPC_FAR *__RPC_FAR | ppvObject
BSTR | fileName
BSTR int | lineNumber

## Member Function Documentation

BEGIN_INTERFACE ITestRunnerDSPluginVtbl::HRESULT | ( | STDMETHODCALLTYPE __RPC_FAR * | QueryInterface | ) |

ITestRunnerDSPluginVtbl::HRESULT | ( | STDMETHODCALLTYPE __RPC_FAR * | goToLineInSourceCode | ) |

ITestRunnerDSPluginVtbl::ULONG | ( | STDMETHODCALLTYPE __RPC_FAR * | Release | ) |

ITestRunnerDSPluginVtbl::ULONG | ( | STDMETHODCALLTYPE __RPC_FAR * | AddRef | ) |

## Member Data Documentation

BSTR ITestRunnerDSPluginVtbl::fileName

BSTR int ITestRunnerDSPluginVtbl::lineNumber

BEGIN_INTERFACE REFIID void __RPC_FAR* __RPC_FAR ITestRunnerDSPluginVtbl::ppvObject

BEGIN_INTERFACE REFIID ITestRunnerDSPluginVtbl::riid

The documentation for this struct was generated from the following file:

- TestRunnerDSPluginVC6.h

| hosts this site. |  | Send comments to: CppUnit Developers